import { InputCheckboxComponent } from '@colijnit/corecomponents_v12';
import { TransactionHeaderBaseComponent } from '../../core/base/transaction-header-base.component';
import { Icon } from "../../../enum/icon.enum";
export declare class TransactionHeaderPartialDeliveryComponent extends TransactionHeaderBaseComponent {
    checkbox: InputCheckboxComponent;
    showClass: boolean;
    onlyIcon: boolean;
    handleModelChange(value: boolean): void;
    commit(allow: boolean): Promise<boolean>;
    togglePartialDelivery(): void;
    readonly icons: typeof Icon;
}
